# Set bias
# Positive: Forward
# Negative: Reverse

pos_bias_list = [0.10, 0.20, 0.30, 0.40, 0.50, 0.60, 0.70]*Volt


zero_bias_file = '../pldos-at-300K/pldos-300K.hdf5'

# Read DeviceConfiguration
device_configuration = nlread(zero_bias_file, DeviceConfiguration)[-1]

for bias in pos_bias_list:
    if processIsMaster():
        print "Bias is now: ", bias 
    # Get the calculator
    calculator = device_configuration.calculator()

    # Set the bias voltage
    calculator=calculator(electrode_voltages=(bias/2, -bias/2))

    # Attach the calculator and use the old initial state
    device_configuration.setCalculator(
      calculator(),
      initial_state=device_configuration)
    device_configuration.update()
    nlsave('device_bias_%.2f.hdf5' % bias.inUnitsOf(Volt), device_configuration)
